SetPropertiesRule (Apache Tomcat 9.0.69 API Documentation)

Package org.apache.tomcat.util.digester

## Class SetPropertiesRule

- java.lang.Object
- - org.apache.tomcat.util.digester.Rule
  - - org.apache.tomcat.util.digester.SetPropertiesRule

- Direct Known Subclasses:
    `SetAllPropertiesRule`, `SetContextPropertiesRule`

      public class SetPropertiesRule
      extends Rule

  Rule implementation that sets properties on the object at the top of the stack, based on attributes with corresponding names.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `SetPropertiesRule.Listener` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.HashMap<java.lang.String,​java.lang.String>` | `excludes` |

    - ### Fields inherited from class org.apache.tomcat.util.digester.Rule

      `digester, namespaceURI, sm`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SetPropertiesRule()` |
    `SetPropertiesRule​(java.lang.String[] exclude)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `begin​(java.lang.String namespace, java.lang.String theName, org.xml.sax.Attributes attributes)` | Process the beginning of this element.
    `java.lang.String` | `toString()` | Render a printable version of this Rule.

    - ### Methods inherited from class org.apache.tomcat.util.digester.Rule

      `body, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### excludes

          protected final java.util.HashMap<java.lang.String,​java.lang.String> excludes

  - ### Constructor Detail

    - #### SetPropertiesRule

          public SetPropertiesRule()

    - #### SetPropertiesRule

          public SetPropertiesRule​(java.lang.String[] exclude)

  - ### Method Detail

    - #### begin

          public void begin​(java.lang.String namespace,
                            java.lang.String theName,
                            org.xml.sax.Attributes attributes)
                     throws java.lang.Exception

      Process the beginning of this element.
      Overrides:
        `begin` in class `Rule`
      Parameters:
        `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
        `theName` - the local name if the parser is namespace aware, or just the element name otherwise
        `attributes` - The attribute list for this element
      Throws:
        `java.lang.Exception` - if an error occurs while processing the event

    - #### toString

          public java.lang.String toString()

      Render a printable version of this Rule.
      Overrides:
        `toString` in class `java.lang.Object`